phing-util

# Class: ExtendedFileStream Source Location: /util/ExtendedFileStream.php
### Class Overview
Extended file stream wrapper class which auto-creates directories #### Author(s): Michiel Rook <michiel.rook@gmail.com> #### Version: $Id: ExtendedFileStream.php 552 2009-08-29 12:18:13Z mrook $ | ### Methods mkdir registerStream rename rmdir stream_close stream_eof stream_flush stream_open stream_read stream_seek stream_stat stream_tell stream_write unlink unregisterStream
### Class Details [line 32] Extended file stream wrapper class which auto-creates directories #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
version: | $Id: ExtendedFileStream.php 552 2009-08-29 12:18:13Z mrook $
[ Top ] ### Class Methods ### static method registerStream [line 36]
`static void registerStream( )`
[ Top ] ### static method unregisterStream [line 44]
`static void unregisterStream( )`
[ Top ] ### method mkdir [line 127]
`void mkdir( $path, $mode, $options)`
#### Parameters:
| $path |
| $mode |
| $options |
[ Top ] ### method rename [line 122]
`void rename( $path_from, $path_to)`
#### Parameters:
| $path_from |
| $path_to |
[ Top ] ### method rmdir [line 132]
`void rmdir( $path, $options)`
#### Parameters:
| $path |
| $options |
[ Top ] ### method stream_close [line 76]
`void stream_close( )`
[ Top ] ### method stream_eof [line 92]
`void stream_eof( )`
[ Top ] ### method stream_flush [line 107]
`void stream_flush( )`
[ Top ] ### method stream_open [line 57]
`void stream_open( $path, $mode, $options, &$opened_path)`
#### Parameters:
| $path |
| $mode |
| $options |
| &$opened_path |
[ Top ] ### method stream_read [line 82]
`void stream_read( $count)`
#### Parameters:
| $count |
[ Top ] ### method stream_seek [line 102]
`void stream_seek( $offset, $whence)`
#### Parameters:
| $offset |
| $whence |
[ Top ] ### method stream_stat [line 112]
`void stream_stat( )`
[ Top ] ### method stream_tell [line 97]
`void stream_tell( )`
[ Top ] ### method stream_write [line 87]
`void stream_write( $data)`
#### Parameters:
| $data |
[ Top ] ### method unlink [line 117]
`void unlink( $path)`
#### Parameters:
| $path |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:52 +0200 by phpDocumentor 1.4.3